Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.triggers
Class AutoFolderingActionAdapter

    java.lang.Object
      oracle.ifs.core.triggers.AutoFolderingActionAdapter

All Implemented Interfaces:
  AutoFolderingAction

Direct Known Subclasses:
  DateAutoFolderingAction, SessionAutoFolderingAction, TestAutoFolderingAction

    public class AutoFolderingActionAdapter

extends java.lang.Object
implements AutoFolderingAction

Default implementation of the AutoFolderingAction interface.

Constructor Summary
`AutoFolderingActionAdapter()`

Method Summary
`protected Folder` | `createFolder(Folder parent, int num)` Creates a path element if it does not already exist.
`protected Folder` | `createFolder(Folder parent, java.lang.String name)` Creates a path element if it does not already exist.
`protected java.lang.String` | `getAutoFolderingActionSpecificationName()` Gets the name of the AutoFolderingActionSpecification instance specified during initialization.
`Folder` | `getLeafFolder(Folder rootFolder, PublicObjectDefinition def)` Returns the leaf folder where the new object should be foldered, relative to the specified root folder.
`void` | `initialize(AutoFolderingActionSpecification spec)` Initialize this instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutoFolderingActionAdapter

    public AutoFolderingActionAdapter()

Method Detail

### initialize

    public void initialize(AutoFolderingActionSpecification spec)
                    throws IfsException

  Description copied from class: `AutoFolderingActionAdapter`
  Initialize this instance.

  Called immediately after construction (via the default constructor) and used so that the implementation can initialize session-independent state. This instance may be subsequently used concurrently by multiple threads and sessions. A session can be retrieved from the specification object, but it must not be cached. The specification also has the implementation and instance specific parameters which should be cached in a session independent way.

  Specified by:
    `initialize` in interface `AutoFolderingAction`
  Parameters:
    `spec` - The specification for a given implementation.
  Throws:
    `IfsException` - if the operation fails.

### getLeafFolder

    public Folder getLeafFolder(Folder rootFolder,
                                PublicObjectDefinition def)
                         throws IfsException

  Description copied from class: `AutoFolderingActionAdapter`
  Returns the leaf folder where the new object should be foldered, relative to the specified root folder. The returned leaf folder could be a newly created folder or an existing folder, depending on the implementation.

  Specified by:
    `getLeafFolder` in interface `AutoFolderingAction`
  Parameters:
    `rootFolder` - The root of the folder tree.
    `def` - The definition of the object about to be created.
  Returns:
    The leaf folder.
  Throws:
    `IfsException` - if the operation fails.

### getAutoFolderingActionSpecificationName

    protected java.lang.String getAutoFolderingActionSpecificationName()

  Description copied from class: `AutoFolderingActionAdapter`
  Gets the name of the AutoFolderingActionSpecification instance specified during initialization.

  Returns:
    the AutoFolderingActionSpecification name

### createFolder

    protected Folder createFolder(Folder parent,
                                  java.lang.String name)
                           throws IfsException

  Description copied from class: `AutoFolderingActionAdapter`
  Creates a path element if it does not already exist.

  Parameters:
    `parent` - The parent folder.
    `name` - The folder name to find or create.
  Returns:
    The new or existing folder.
  Throws:
    `IfsException` - if the operation fails.

### createFolder

    protected Folder createFolder(Folder parent,
                                  int num)
                           throws IfsException

  Description copied from class: `AutoFolderingActionAdapter`
  Creates a path element if it does not already exist.

  Parameters:
    `parent` - The parent folder.
    `num` - The folder name as a number.
  Returns:
    The new or existing folder.
  Throws:
    `IfsException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD